/*
    XorGramana Copyright 2009 James W. Morris, james@jwm-art.net

    This file is part of XorGramana.

    XorGramana is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    XorGramana is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with XorGramana.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _LEVEL_MENU_H
#define _LEVEL_MENU_H

#include "options.h"
#include "types.h"
#include "gfx.h"
#include "input.h"

enum MENU_KEYS
{
    MENU_UP,
    MENU_DOWN,
    MENU_PLAY,
    MENU_LOAD_REPLAY,
    MENU_OPTIONS,
    MENU_SWITCH_GAME,
    MENU_KEYS_XXX
};

extern struct gfx_win* level_win;
extern struct xg_key** menu_keys;

void level_win_create();
void level_win_destroy();

lvl_t level_menu(lvl_t level);

void help();
void icon_help();

#endif
