/*
    XorGramana Copyright 2009 James W. Morris, james@jwm-art.net

    This file is part of XorGramana.

    XorGramana is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    XorGramana is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with XorGramana.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _TELEPORT_H
#define _TELEPORT_H

#include "types.h"
#include "actions.h"
#include "map.h"

enum TP_ANIM
{
    TP_IN,
    TP_OUT
};

bool player_teleport(struct xor_move* pmv);
void player_teleport_animate(struct xor_move* pmv, enum TP_ANIM dir);



#endif
